ST_DUP(3)

FUNCTION
st_dup - Make a duplicate copy of a string.

SYNOPSIS
#include <karma_st.h>

char * st_dup

(CONST char *input)

DESCRIPTION
Make a duplicate copy of a string.

string
    The input string.

RETURN VALUE
A pointer to a copy of the string (allocated using <-m_alloc->) on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/